Package org.eclipse.emf.spi.cdo

# Interface InternalCDOXASavepoint

All Superinterfaces:
  `CDORollbackable`, `CDOUserSavepoint`, `CDOXASavepoint`, `InternalCDOUserSavepoint`

public interface InternalCDOXASavepoint extends CDOXASavepoint, InternalCDOUserSavepoint
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`InternalCDOXASavepoint`
`getFirstSavePoint()`
`InternalCDOXASavepoint`
`getNextSavepoint()`
Returns the next savepoint in the transaction's savepoint sequence.
`InternalCDOXASavepoint`
`getPreviousSavepoint()`
Returns the previous savepoint in the transaction's savepoint sequence.
`List<CDOSavepoint>`
`getSavepoints()`
`InternalCDOXATransaction`
`getTransaction()`
Returns the transaction that owns this savepoint.
`void`
`setSavepoints(List<CDOSavepoint> savepoints)`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserSavepoint

`getNumber, isLast, isValid, rollback`

### Methods inherited from interface org.eclipse.emf.spi.cdo.InternalCDOUserSavepoint

`setNextSavepoint, setPreviousSavepoint`

## Method Details

### getTransaction

InternalCDOXATransaction getTransaction()
Description copied from interface: `CDOUserSavepoint`
Returns the transaction that owns this savepoint.

Specified by:
  `getTransaction` in interface `CDOUserSavepoint`
Specified by:
  `getTransaction` in interface `CDOXASavepoint`
Specified by:
  `getTransaction` in interface `InternalCDOUserSavepoint`
Returns:
  the owning transaction.

### getFirstSavePoint

InternalCDOXASavepoint getFirstSavePoint()

Specified by:
  `getFirstSavePoint` in interface `InternalCDOUserSavepoint`

### getPreviousSavepoint

InternalCDOXASavepoint getPreviousSavepoint()
Description copied from interface: `CDOUserSavepoint`
Returns the previous savepoint in the transaction's savepoint sequence.

Specified by:
  `getPreviousSavepoint` in interface `CDOUserSavepoint`
Specified by:
  `getPreviousSavepoint` in interface `CDOXASavepoint`
Specified by:
  `getPreviousSavepoint` in interface `InternalCDOUserSavepoint`
Returns:
  the previous savepoint, or `null`.

### getNextSavepoint

InternalCDOXASavepoint getNextSavepoint()
Description copied from interface: `CDOUserSavepoint`
Returns the next savepoint in the transaction's savepoint sequence.

Specified by:
  `getNextSavepoint` in interface `CDOUserSavepoint`
Specified by:
  `getNextSavepoint` in interface `CDOXASavepoint`
Specified by:
  `getNextSavepoint` in interface `InternalCDOUserSavepoint`
Returns:
  the next savepoint, or `null`.

### getSavepoints

List<CDOSavepoint> getSavepoints()

Specified by:
  `getSavepoints` in interface `CDOXASavepoint`

### setSavepoints

void setSavepoints(List<CDOSavepoint> savepoints)